-- MySQL dump 10.13  Distrib 8.0.21, for Win64 (x86_64)
--
-- Host: localhost    Database: dmcdynamics
-- ------------------------------------------------------
-- Server version	8.0.21

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `companyinfo`
--

DROP TABLE IF EXISTS `companyinfo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `companyinfo` (
  `id` int NOT NULL AUTO_INCREMENT,
  `CompanyName` varchar(255) NOT NULL,
  `PhoneNumber` varchar(20) NOT NULL,
  `EmailAddress` varchar(100) NOT NULL,
  `Address` varchar(255) NOT NULL,
  `CompanySlogan` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `companyinfo`
--

LOCK TABLES `companyinfo` WRITE;
/*!40000 ALTER TABLE `companyinfo` DISABLE KEYS */;
INSERT INTO `companyinfo` VALUES (1,'DMC Dynamics LLC','(224) 241-2285','jobs@dmcdynamics.llc','4600 Sycamore Ln, Rolling Meadows, IL 60008','Simple tech and personal service solutions that won\'t break the bank!');
/*!40000 ALTER TABLE `companyinfo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `service-information`
--

DROP TABLE IF EXISTS `service-information`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `service-information` (
  `ServiceInformationID` int NOT NULL AUTO_INCREMENT,
  `ServiceID` int NOT NULL,
  `ServiceDescription` text NOT NULL,
  PRIMARY KEY (`ServiceInformationID`),
  KEY `service_information_ServiceID_FK` (`ServiceID`),
  CONSTRAINT `service_information_ServiceID_FK` FOREIGN KEY (`ServiceID`) REFERENCES `services` (`ServiceID`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `service-information`
--

LOCK TABLES `service-information` WRITE;
/*!40000 ALTER TABLE `service-information` DISABLE KEYS */;
INSERT INTO `service-information` VALUES (1,1,'Let me break it down for you; I have over 8 years of professional software development experience.  I have worked in an enterprise setting on some of the most complex Windows desktop applications, server services, and Web APIs.  I am confident that I will be able to fit the needs of your next project!');
/*!40000 ALTER TABLE `service-information` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `services`
--

DROP TABLE IF EXISTS `services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `services` (
  `ServiceID` int NOT NULL AUTO_INCREMENT,
  `ServiceName` varchar(255) NOT NULL,
  `ServiceTags` varchar(255) DEFAULT NULL,
  `FontAwesomeIcon` varchar(50) NOT NULL,
  `IsEnabled` bit(1) NOT NULL DEFAULT b'1',
  PRIMARY KEY (`ServiceID`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `services`
--

LOCK TABLES `services` WRITE;
/*!40000 ALTER TABLE `services` DISABLE KEYS */;
INSERT INTO `services` VALUES (1,'Software Development','C#, ASP.net, PHP','fa-file-code',_binary ''),(2,'Web Design & Hosting','','',_binary '\0'),(3,'Custom Computers Systems','Gaming, Servers','fa-tv',_binary ''),(4,'Resume Services','Updating, Creating','fa-file-word',_binary ''),(5,'VHS to DVD Conversion','','fa-compact-disc',_binary ''),(6,'Tech Consulting','Engineering','fa-user-tie',_binary '');
/*!40000 ALTER TABLE `services` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testimonial-images`
--

DROP TABLE IF EXISTS `testimonial-images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `testimonial-images` (
  `TestimonialImageID` int NOT NULL AUTO_INCREMENT,
  `TestimonialID` int NOT NULL,
  `ImageType` varchar(100) NOT NULL,
  `ImageData` mediumblob NOT NULL,
  PRIMARY KEY (`TestimonialImageID`),
  KEY `testimonials_images_FK` (`TestimonialID`),
  CONSTRAINT `testimonials_images_FK` FOREIGN KEY (`TestimonialID`) REFERENCES `testimonials` (`TestimonialID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testimonial-images`
--

LOCK TABLES `testimonial-images` WRITE;
/*!40000 ALTER TABLE `testimonial-images` DISABLE KEYS */;
INSERT INTO `testimonial-images` VALUES (2,1,'image/png',_binary 'PNG\r\n\Z\n\0\0\0\rIHDR\0\0,\0\0e\0\0\0Q*\\\0\0\0sRGB\0\\\0\0\0gAMA\0\0a\0\0\0	pHYs\0\0\\0\0\\od\0\00IDATx^\\x\\\\gS!B\rAMW\nRD숀(\"~Al\\	%Ԑ@zo|3\ո4!$\;\\\\\$Y0{צP\"\"\r\DD\c`f0H3XD,\"\i4ED\"\"\``f0H3XD,\"\i4ED\"\"\``f0H3XD,\"\i4ED\"\"\``f0H3XD,\"\i4ED\"\"\``f0H3XD,\"\BX.S\\\\QhkN\\\)1Clc|\\٣P}Vꂢ\e\\רۨ\GyVQ\\Zvʳ{m|<\56J\^o\\\+(\N[\\\틾^~\\(\\Vy6*\F[7\+_nc<\\Y`[z\\|B*Pz\\W^y	ʲ\\\?\\AYSկW\\VYʋ)s*埯Qj\g\V+\\o:e\W\B蕯Q\\p\\\I\\`̋g\\]\\\w+\]]a$Sn5T	9J`Q\\qp@]\<]\bPz.H7!\\)\^H\\B\P\ja>\0\\`W;!DW\0\\\@sqvV2$*QG\/\J]\:c\4Ej\Zh]\}\PO	3\;{k\^\\_\0N\\	=z^`5\Wg	\\rP-\t肸;FQ6\\\\rODty\0	\-\ZԅXKT:,*w\\\ \(\U\\\rjsϋJ\PsKI\ó\'\&{Ƭ؄HIM[\Uz\\\Ѡ?,X/#@%5SV&Əcћ\\q9=K%1Ma!*]\\'ѽ\b\\0\9\;IlAdER\B\&aX\6\\\||x\\k1H*\xq\8н\r\/[I\8y\\\l\I\\r4\zw8wh\#\|<SR\ZV,\Z\\\\f>{/\τt4\\X\PkD\:+\b\rYisF:7#}Sǂө\\\k\\Z0Hsj:\\o\\Cq,6N!K\\"M\\\\\Ecc\1=v\!\\創dXi\\GbZ\\J9\D,4Ob\\\G1d\"beXd1\ُZa쪭Xp\\%a`E\LϞ\\\r)֐%``\\\\a\\h\\\\\K\b\ri,V\ߡ\\0\D\\\"\d\\\0f\\\\Dq,x1Q\x1lM\-=Z\\"\ln31KZ\\"ᐓ/=?\>-%,*\\x\\m\戦Z\\"cQ\D\\?\\K<!,Jvyyx8a+\\\NA\Z\Y-5>o?bLXd\t\||\d|~;v^N]]^.&8lݏ]ω.\Ȧ\8]svy\NNM0^sN%?h*rHcSNyV{\\VĎ\'K%FMLr)FVA\r?\%XE`ޱ!-[\\\ZE%\\0\|\9?=9W\"+&iQQ\DdE\\\R\\Sъn\>7G\%Y0\.e\ɳx\\A\6\3*\ss\믎=j\i\\X[dˍ\膪\Z\\ЫiC\0Z\\r\.\\O8i.=\V\ը3w6Es\V\0\8\m\X5O\\\\8z\\\`\{\\,,\Λ\[v!\"1MtH,#vz=K?;\\\Ŋ;]9S\<Sf\9+WE̍Efog\\\\\-\÷X~|\9\+f	20\\!X<%\XT&<\\ɼY\\\\P\j\+\\\|6\sXtȜXT..xCk4\\\ބ3\-\҉\\\\p\iK\\\\ra.>ߵ-j\چ\\\"\^\46?\nS/\SCsc`Q\\l1\8s\\)\\{	\\r\?sb`QE\o\\{L\qݷa5b\Drf\PEc`QQ\ou	;v`k(\\U\<|k\D\\"\'7Wt\"1\5\/fa\7K\\&\\mgL\\x\e\\\\=\\M[\\/\\\\yXmRy|Ec`Yuj\\'\"qů\h\+c^\d˿\\6,2 g\؋={BNŹe?!2:Vt\"0H\n~~r	\Z\\\o\\qXɱ\+\n0\\\2\ёo\%x\8/:T\X$g4\%&\Z<Kx\NEa`t\\\\ZM\':\\\Z 6ERRC\\\ocKgDG^]	WDE剁E\R\'7G[9y$%\\H\\Y十ER\\p\\Xt\\%t2FTT^X$*~i5|\\ZqqC偁E\4\{~Gy\'\\l\\[<\o4K\\:m\c=\BZf\PYc`4\\$\\(*<7}8$**k,\7ggN9u\?S|[͒\7n_K\\0+/c.\4GrS{p]gёKோ<0H\\\\\\`\\#\$\+\*r%iV\ʮ\\<4{D\\\\eE\a\@&*y4ݱ\\iL)*y$\7\'\\\Z4]p\m\UT\[\r\3DEeEW\\&L<#`\Y\e%YF5m\'Q\\r4N\&Pt\n1\\"\\r\e\(A\zٷ0\ZCwE\E%V\rn\n1\bԫg|)*9\\KI\\"\\е\ȳ\s\HǾ3\\\,JUk<+*\+:&&\\rY7G|<{Y\\,NVXdqmP\r\2#w\\rY@\'{D\\NTr8\\f\,\\n}Œ\^\eEf\\r\0\\r4$\\\\"Զ?\?\QQi1\\"998 yKQ_\ٓ\C»\\"\$\\,_\\0T,X2\\N#:+OTTZ,Xʳ7\#!%MTTZ,X\k!\ \^VJBX\b`Ų\\QRKT旛<\}WXd\lk\siCV\\EE\"S#P,]n32EE\"\^Y\s\,:wEmM,]^ҲEE\"\\#\Ś:\``Es\\K\gVv4Xd\\\\\\Ē\\\\Z\Ma9\r\3t\Z\\\]T\uz\Nl!*yM\t\0W/_U1[t\r}5\\\\!|?ۛl\Mn\u7\۪]\\\f\'z-*{at\\\<p\0՛4yM0^M``CwL\r\0\5jJ\8cxUr;\o\\r_?\0\\YGmt\\\r5\\\f\]^2*\r\\rvA\t\RX2Beϰ@.*5Y5\\\\\\+\f\\t[Xd1\r\\DUL=\Z\N	,ӷܙT|lض\\]Y5\\\\*oK旯6{\\\\3b\v-\;\EL2sEa=\\\m<\b`\\rv\]N\\hor`HM>?\\у1a\rؼ1\e+\G^\s\PP`zn\Z1\by\\QT\\\&\\N\|K%l\؎kWb֓]\7,?.\rO\\\+i\u_\\\"q\/\0.N**\(9N08>\\[Ϥ㔕7\}5WO\\voڛXd1WE%]*\O\r,7\'\JJJK撞\\[scﵡh\\x}1\<uVlaXd1b\5zd~Eu\VjrX=<4۾	\C`\\0H~?~Rla\Xd1k\)\Z\\69S*DU,\J\\\0m\nzp^\\Z\\\o\?]G-,,B\\0Q0F\qȔkg\]L\\1԰4*]\\;\\\r{\\<^,,Uk\)\}{Œy\WCe\\ot\\-5F\ZbƖ\}8\n96,\\\\GXLr*<N\qn\'Z\r\ P}ϜKe\9+==\`Ԫ\\\m1\\"	5ء\:sBT\u!69_s|X*[6t3{w@\\\֖\{*R\.Y3Q\F_kZ\\Bpx{\\˃]RNo}3\~\>\^\\"P\#Xy.\r\5\z*íҊFXdsa!5C>~\\\\\\m^\"\\Ӫjښ\5\\U}\/\\\0?o\)\b}ox`\\l_7\\\\$dfe5\\"\\y\'4\Uq	v@OU\H>DU\_\R\R?4\G\\#1\\\8\,Ҽp\4\yǆP9\\\\\\%\r\\\\kDe|\\}\0\\>gDWn,ҴcaM\04k\k~]\\'e2\_\r}=EU,3#G\\\\\(\)A*3i\\g#4-NT\ԑj_+*\\qWd:uzj*l%*\+\\n>\Z\||\N\!\\\M2a`E\&ukد\\\+\\o{nl\ZqD\9\dcؤwP\\s>\r\'b/5ra`f\\\jP\Z/+;/:,|g\\\\\0{<\\)\\;{\"{\-i\Z\M`:ݕ\q۵UT\\b=<\J	\K.\\헥xg\\B*֞\4\U\\\D\;j=t\8\tqE\*^*Fꍄ\߅i\=31\<\2Hs\)\\~&\\G]\o&*9켿3:zX\3\\\\fOG\\>Nىh\N\5/i\\\\r\(\\친\\\r\\xLϧ\X\?\"=\\nY\\~\"4gE\r\\UrJ\n_zATrH\܀\0k\\\WŋE\rI	o7;~O_2\c,Ҕ5\ KW\q5`\\p\\\bsT&:{\\ѱnCyzq\\EL:fOX)y\n/WU1\_ӦJ:tǃ5M\\:v(F\R0\\؛w݊\\"\P\n\Z^\'7N~\'\|P9\\|\I\U4\k\Z\Z㪄\\\':cwf\OX+_|OQٻj9\Q\\pQ\\\V\ur\\,>WBk}\\hņ4!\\\\	o7\sB熏\E\,ߡ\	%bND\"\\Qi[@\y\z\\\\_\\oSXNS]svyޱ!-[J^GB\/Ee>\6\ᤓ\\3O;\[ے\t\\6jm\\\a\\nS\Sx}\D\\j\\\\:>bzoP<nR<N\\)^܎\x\\_яa\\RīSnnna~s?6wzpцx\J\\\\x\\kꑧ\n\,LHL\\\CBҤ\!\tZ/Y\\43!\\p䠨,K\\\Yp1]I0%\\4\\ѣ\y\\\\.\e(]T&ՈȺ\rq!(Dt,\\\ p\w{|\a`\\\\ɾ\^/LQ\ca\\Z?\+L\\:\\ȁ3?@\#XU2HSN|Nw\\\M/UլV\<\U\`<\P{,?t\Z_\.R<L\\2\\L\4\\'\"*!Yt\4\̒5ST\\޶\\\بf\i0\1|},*W\'l=9hXO_AJj\Ob\\"MB\׉2L;-\6t+\\f~xx\Xl\}\0y\.bvE@>\\ΖI\h4R\\]o\o\Ukg<\\E\\{]}\u\T슌aE\h\\\g\⯫\P\\2\\"\dg#n=\]b\Of,Q^{O\܆{N!Ju\զ\\ZeWsn*+,g\\8E9o><wu\'W\\\9=NY\(L\_vX$/J+J^G\ud\nz׫/bůkpV=\Ֆ\6\k\r\N*\,\\ x\/{Za}ޔ]Vtx\npٻ	6\{\>9,1X$m\^\}_\7\\\F``9\]]\\݀\\?Ú9뢭O=\1x\,/:\\"i\E~	\\\\?\\\\Z^ =^z׬C~/(\\\ \r\\{\\\r\w3?\nVmZ\ꅋH\\\Ŧ\,\_>\_]\\a`\\]+F\WI9},\\\\<Sv \8bڴ\Z.]]GΝc`Y=z\\U~\\L2y\\8T\l*:\\\\\տ\"\M_K=U\fǆ\n\\:\N\n/T蚏+W,G\O\\rsP\\úgD\\0©7\n7\vj_t\n\P\ȡ\\\!\\E%\g`때R\e1¨Fgf\\\Kt#\\\(\Z\\FK \\'E%/\.\\/O7\\0*Dш\@%//\gg|3p$FT\^,?u\!*yui1b皁E\\u>\z\W\swk\ޖ\\BAh\\'\{0~\-R\Z69\\\\q\}Utn\\ƽe(\\\	\wl]\\p5\1\\ mk\\\\?7!\\t\\yٴܼK\\?\0\\;\g|\͛ͧSa[Ë\̷>B\0=\|+sQC+%\r\+\\\喚v\?F\\ۿeEeB\n\tt69\uB\u䋰)\vP\?\\N\\\\Z\\h/\m<V1Y==\Jnn\"\R!\ä\\\Z\˵\\7\'\ņ5EG{\Z=\&O|\\m\嫷w.Er53\Y\\톀sbe\vrƀ\\!^\\\\HQ\\Q/`{\\\\\\q*\\=\rC^Ea\\Δ\t\3\O1emT\\;\\\iS\\):rQ\1ܸ\(2rݖ\\9|y\nu:~>>\&,,{z0wFSO\d/cߗ\E%\K`RnEEE\Ű\\˴]WD}\|e\>h\\\E8\ӂ)\3\\\k1owQמ+W\\v~9\?\?,\p\lيn\\H\F/\cy.\e\0;<Ht,ϥ(T[\\9n\|2I\ji5\Ð\֨I\\Mc6\S%\x\m+q4,\XJxU\Χf\\\7\\9\\\0+7W-\\_\\<&\\\Nux7\CBzʛþ_	\Ty\H}ߏ\M[J7\\[\"\\\\t\PI!cʋz\\ϾDd\[\n98O\\"\⊉3btƨY\_tC說\3G-\1\*e(a\٤9xgiZ҈z\q\\\Z\ފ\7\\e`\\vt§>G;#$OtO\n\\C+{$%}\vQ]EVE}ߠϣQ\\ecc\#D%?\_\\"~\Z8r\o\\>kgN\Լ~05B\"\\\EeEV!\\Öm\띛\"Џa\7o7.~4ITrz\\f\xh\"Y\1\\\r\{Qէ\\\@)23P\\!Qb`E;Ь5>j	&wlǒ[Du\C\U+{\X,H\1<\\-ĤvN0Ӎ\\\8n\o\'v$_?a	,zx3~\|\OW\%t+\]\(\\De~.i\p\\fXdQ\\xa\_x\}\VU\)dRRel\\KT\璞\\YȻftYݭ;`\\mx_}Ցk8!\\\:LRt(-\\v\"--]t1H\\\\1p`\gv_x\9\\\\G<{6CZ:,HD\\x\:4\\7#T\Zn\\HSWT\\|\F^3\\"Mʵ\\Gb\\9xs3ݩdrKOd~>q18,b,Ҝ\*\\w\\^%fvʞ\\Ă\\'~R\\"\0\\0\Iv+\IҸI+\.]NK\X	?=1\0\Ø\jpw)dR\\)A\\\윒X$-\#\c\\?\"i\\0|\&ae\\7K\Wruit&>0[=\\A\1-UBxsd~\\G\"\_60H*\\\\\\0\ex\\1AI\$\\\Q2\"\N=\Ku\Ĉ\\e\\Ұ~e}9\9%\\BzfXdfj\ť`\\\x{s\i^[\K\rI:d\}5\%{|,p\\?>5]?.ǻ\5\r\\Ǉ\H\\\r	嘜\#1\K\XT!\n :S>>{}\\u\n6zwD\Q\\zgɞrL*랜\XTn\I\`գOcO\\\\\\\0<6k\O$\dGCI\Fd\1\2^\\`亽\h\էxxG-If\>Ee)_G\/\\C\\\#z\Vش3:\\\ҵ&\ \?,\\]JwuÚ\\_bҶc{7\<߶ѡ<yqyr|Jb`\S;\L\'6֌WkӼ6\ra+\tQtt\\\[X\r-fS\e\%\0yPQѵ&\'&GTŎ\\E_\|\f\V\w+@5\^\X7=t2AT\5?\"\n/ԭZ\\n5~\\ZD7\\\ŹE\eÈ7\q\\'2N\\\r,s,ŦWʼ~A\ct\]Gd:4\\\\ޮdDP?Oy{ɶ\\)Lħg5%IT\P\\\,\"\4x&\\y%V\E\\b`\5.\\'+>NT\\_\r.N%0\D¹p\*4Ϝb\٩d GpK\]=\.b`\5<K\\\7\L\\;Ē\:8\ӭd\#)7\De~\\\Q\"\b\u^T\WX*\\"\\غΙ%\\0Sl@Ux\\\"m\,\og\.\l:\?Qw\zd~;KOU1Y9\q12/uS\r\\5C53\xeٜ2]\r\\\00\Z	I\1\CQ_-]#EDTol\\\=\\\\\XDVN=<\ut\1\\D{\M\c`YQ\\Q2Lg\\h\RTXDV\bB*\\3\Ee~1Ճד**S,\"+\cE%\:\\)*S,\"+k\A4\GQ\aG\\X\WTXDVJ=\\l\\\\m\\|	w\J\9v\N\UzQ]Ed?:QTr\ߢ-\\nXDV\Љh\PhcS\:Y*s=ry\e\g\13\\\j*&#^Ede8\kE%\r=Eh\Cd`Y\\.ݹ[[m\\5+:7\\"\eq3f\.G!dmk\hQ\'\Ed%\"\\\B\\J.KC\dQ\\\nr\.R\\|9AAh(:7\\"\\\	Q\\\W\ų!c`YK~@\D%W\<\B\\!\0Ȃ%D\ D%\^o<L\'L\\χK\{al:U,:=>;\\\\"@yy\l\QEG>ge\\ XD\h4\"u\\p;~Tt\~VݠxD\\" \š\'\k\\\ё\maۢ%jzD\\0,ȑS\\w\x\9qXD\\\=ZT\\\\~oV5k\\c`Ys\#E%\3,\"\rS\Y7\ձ\'<[6GzE\\04*/7\\=\Og+\\Do7\\Ft\HR\ho.\\h\0uΝc`i\cǠ\\Ϋ~%V\\_\\^\\04$v\^i=DG~\h\>\\\gt],\"\r\\\É)\׼\\7\fߋ\Hri\m\uG@\NUO\\\a`I*\h\\\©^}\ػSte\\\\M\ΎswXDڰ\\0v\rO<\(\Ֆ-\\\\0Y\\=$ԋ@O\\Dx\\h\\]9\x<\\\\\ǷEdfjP]evé}G<\\Qx$\'\4iLt\5Dl0̤\0Y9a7l7\c[\\Sbv\Sv\޵\\\\\"`\\\\4L^B0k+TpVն>~`\<W\\0[۲LETA.%a\\\\Qa(\x7*\DV#\u\.\\{Q\\Kt\%DD\`\H\\$t[˜)\w\\Pf;j\\B\\\~s+,2\\/`CXz\\r\r\v\\xxx{$\Z\\\\G\ԂDj\NxN5\)6\\|sW[!tї2ca\ٲ\\\\b?KLdge\")>pu\_wj\R\\ݪ=t!U^\\,u<	6,\r\#M\d\h,T\\\vyp\ȀsF\Z\R\+\?{G#\(ĩ\\W\\\P\K\":e\\\|AQ@|\7;_\k\Gl\nJ\\\2ݾ|\\d\[\v?\,KnD\K%Kþ]u*i:[xҝ\H\r\g纷аR1\e:`\pfhcs,\"-99~\Z\\5n\b`\2\tp\<\\#\\#EDi\\\\O\n*\\//<\M\n\\\b`\\r%T\\\/⩦!h+\E\,\"\\ژ\\2<}_Z6+\\\"\"\6\E+\JP4.r``\?\\\0\-	\B\\MzZXDT4\\S1\+L\}iu7XDV.\\\_\b`7\\p\\"b{[ޏ_\'קּЕ\xVwEd\\vX<`\\bUx\\b\XDV&ο*\\\\3\\1\\\fk\\\"\\ޖ=1?\\]ѻN\WXDV /ۈ\\\dͷ>Ȃ\	;\\\/G}܊Wh\\\\`Vx{\\p<\0\4	F\\r]^\Z,\"]-ޟ\\wiG\\`/\UwEd!R<d\H\^xCjE\+\KEq\X\g\Κh2f&?w\\\p\'XD\ZU`\Ϗ\\+\Cï̦]5@L,\"Q>u,n;o`N\\$m5eJ\ͨ)\i\~^\@}\jփ%]+zv\#O?|<\2n\ޔb`IEdOoGv\z\;[,Xa`Y/u\K5x؛\K\XKc`Ie}vj^j͚~Ύpv\C\˲\'\O4ۺ>c\.hX6*eF\08:8\VXa`i\VWt\A7\}qů\nb\<]X(\\\ՃΈ\Znʀ*-D%\UF\&\Beϣ\F\\(R+=uox[u,\'\\U\Z\\-ZWh<+_n\Sh;uuY\e;6\\E?ߨW\EߣW?Oo|;;\:8]M^\:r\P3\\\r\\\\\\\\v\\\p\#\ϧ\+z\TX\0#\\Z\&+(z#\J\t%o\Eo\\~q\0(\\D}\w0\Pouzu\\nP߰b?_+Ea~Ou^\uv\Ny+\\~3\\\S\\kw\\Y	/O\'x8:\r\wwe\X,\"\\f0H3XD,\"\i4ED\"\"\``f0H3XD,\"\i4ED\"\"\``f0H3XD,\"\i4__\0\0\0\0IENDB`');
/*!40000 ALTER TABLE `testimonial-images` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testimonials`
--

DROP TABLE IF EXISTS `testimonials`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `testimonials` (
  `TestimonialID` int NOT NULL AUTO_INCREMENT,
  `CompanyName` varchar(255) NOT NULL,
  `CompanySpokesPerson` varchar(255) NOT NULL,
  `CompanyTitle` varchar(100) NOT NULL,
  `Testimonial` text NOT NULL,
  PRIMARY KEY (`TestimonialID`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testimonials`
--

LOCK TABLES `testimonials` WRITE;
/*!40000 ALTER TABLE `testimonials` DISABLE KEYS */;
INSERT INTO `testimonials` VALUES (1,'EPEC Web LLC','Kirk Schnable','Owner','Don at DMC Dynamics is my goto developer for contract work.');
/*!40000 ALTER TABLE `testimonials` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'dmcdynamics'
--
/*!50003 DROP PROCEDURE IF EXISTS `GetCompanyInfo` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `GetCompanyInfo`()
begin

	SELECT CompanyName,

           PhoneNumber,

           EmailAddress,

           Address,

           CompanySlogan 

    FROM `CompanyInfo`

    LIMIT 1;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `GetServices` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `GetServices`()
begin

	SELECT 	ServiceID,

			ServiceName,

			ServiceTags,

			FontAwesomeIcon,

			IsEnabled 

	FROM 	`Services`

	WHERE	IsEnabled = 1; 

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `ServiceInformation_SelectOne` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_0900_ai_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `ServiceInformation_SelectOne`(

	IN ID INT

)
BEGIN

	SELECT	ServiceInformationID,

			ServiceID,

			ServiceDescription

	FROM 	`dmcdynamics`.`service-information`

	WHERE	ServiceID = ID;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `Testimonials_SelectAll` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_0900_ai_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `Testimonials_SelectAll`()
BEGIN

	SELECT 	TestimonialID,

			CompanyName,

			CompanySpokesPerson,

			CompanyTitle,

			Testimonial

	FROM 	dmcdynamics.testimonials;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `Testimonial_Images_Insert` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_0900_ai_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `Testimonial_Images_Insert`(

	IN testimonialID INT,

	IN imageType VARCHAR(100),

	IN imageData MEDIUMBLOB

)
BEGIN

	

	INSERT INTO dmcdynamics.`testimonial-images`

	(

		TestimonialID,

		ImageType,

		ImageData

	)

	VALUES

	(

		testimonialID,

		imageType,

		imageData

	);

	

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `Testimonial_Images_SelectOne` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_0900_ai_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `Testimonial_Images_SelectOne`(

	IN testimonialID INT

)
BEGIN

	SELECT	TestimonialImageID,

			TestimonialID,

			ImageType,

			ImageData

	FROM 	dmcdynamics.`testimonial-images` 

	WHERE	TestimonialID = testimonialID;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2020-09-22 13:41:37
